tinkerpop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (Jira)" <j...@apache.org>
Subject [jira] [Commented] (TINKERPOP-2335) Drop support for older GLV runtimes
Date Wed, 11 Mar 2020 16:46:00 GMT

    [ https://issues.apache.org/jira/browse/TINKERPOP-2335?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17057197#comment-17057197
] 

ASF GitHub Bot commented on TINKERPOP-2335:
-------------------------------------------

FlorianHockmann commented on pull request #1261: TINKERPOP-2335 Update to .NET Core 3.1
URL: https://github.com/apache/tinkerpop/pull/1261
 
 
   https://issues.apache.org/jira/browse/TINKERPOP-2335
   
   This updates `3.3-dev` (and subsequently the other release branches) to .NET Core 3.1 so
that we only need to have **one .NET Core SDK version installed which will be 3.1** after
this PR is merged. 3.1 is the newest version right now and it is also an LTS version.
   
   As already said on #1260, this basically only affects our build process / environment,
but not users:
   
   > This has no effect on users of Gremlin.Net as that targets .NET Standard which doesn't
need to be changed at all. The only change affecting users is the update in Gremlin.Net.Template,
but that is a good thing in my opinion as the template is only used to create a completely
new project and then using the latest LTS version sounds like the best approach to me.
   
   After this is merged I can rebase #1260 which will then only remove support for .NET Standard
1.3 on `master`.
   
   `dotnet/build.sh -t` succeeds.
   
   VOTE +1
 
----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


> Drop support for older GLV runtimes
> -----------------------------------
>
>                 Key: TINKERPOP-2335
>                 URL: https://issues.apache.org/jira/browse/TINKERPOP-2335
>             Project: TinkerPop
>          Issue Type: Improvement
>          Components: dotnet, javascript, python
>            Reporter: Jorge Bay
>            Priority: Major
>             Fix For: 3.5.0
>
>
> As [discussed on the mailing list|https://lists.apache.org/thread.html/r25901cdb66b913b32b025970a6cd435eae87609e5c5af3c8a4ce630a%40%3Cdev.tinkerpop.apache.org%3E],
we should take the opportunity of the new revision to drop support for EOL'd runtimes for
javascript, python and .NET.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Mime
View raw message